Refunds
A follow-on refund is linked to a capture or sale. You must request a follow-on refund within 180 days of the authorization or sale.
When you request a void for a refund or credit before settlement, the refund or credit is voided. If your account is enabled for credit authorizations, the credit authorization is also reversed.
Supported Processors
- AIBMS
- American Express Direct
- Banque de France et Tresor Public
- Barclays
- BNP Paribas France
- Chase Paymentech Solutions
- Chase Tandem
- China UnionPay
- Cielo
- Comercio Latino
- Credit Mutuel-CIC
- eftpos
- Elavon
- Elavon Americas
- FDC Compass
- FDC Nashville Global
- FDI Australia
- FDMS Nashville
- Fiserv RapidConnect
- Getnet
- GPN
- HBoS
- HSBC
- JCN Gateway
- Lloyds-OmniPay
- LloydsTSB Cardnet
- Moneris
- National Payment Gateway
- OmniPay Direct
- Prosa
- Rede
- RuPay
- SIX
- Streamline
- TSYS Acquiring Solutions
- UATP
- Vero
- Worldpay VAP
- Chase Paymentech Solutions
- Elavon Americas
- FDC Nashville Global
- Streamline
- Worldpay VAP
- TSYS Acquiring Solutions
- Barclays
Processor-Specific Information
China UnionPay: use the follow-on refund service to reverse pre-authorization completions, also known as captures, and sales.
FDC Nashville Global: Merchant Category Codes: when your business signs up with , assigns your account a merchant category code (MCC) based on your primary business type. sends this MCC to the card networks with every transaction you process. If you process a transaction that is unrelated to your usual goods or services, include the merchantInformation.categoryCode field and set it to the relevant MCC. and FDC Nashville Global do not validate the MCC you send. Using an incorrect MCC can result in increased decline rates, interchange downgrades, or fines. To verify the correct MCC, contact your account manager.
Visa Platform Connect: all supported card types can process follow-on refunds. When your account is enabled for credit authorizations, also known as purchase return authorizations, authenticates the card and customer during a follow-on refund or stand-alone credit request. Every credit request is automatically authorized. Credit authorization results are returned in these response fields:
processorInformation.approvalCodeprocessorInformation.networkTransactionIdprocessorInformation.responseCode
Endpoints
POST /pts/v2/payments/{id}/refunds
POST /pts/v2/payments/{id}/refunds
POST /pts/v2/payments/{id}/refunds
POST /pts/v2/payments/{id}/refunds
POST /pts/v2/payments/{id}/refunds
The {id} is the transaction ID returned in the capture or sale response.
Example
Standard Example
{ "orderInformation": { "amountDetails": { "totalAmount": "100.00", "currency": "EUR" } }}{ "_links": { "void": { "method": "POST", "href": "/pts/v2/credits/6699964581696622603955/voids" }, "self": { "method": "GET", "href": "/pts/v2/credits/6699964581696622603955" } }, "clientReferenceInformation": { "code": "1669996458298" }, "creditAmountDetails": { "currency": "eur", "creditAmount": "100.00" }, "id": "6699964581696622603955", "orderInformation": { "amountDetails": { "currency": "EUR" } }, "paymentAccountInformation": { "card": { "type": "001" } }, "paymentInformation": { "tokenizedCard": { "type": "001" }, "card": { "type": "001" } }, "processorInformation": { "approvalCode": "888888", "networkTransactionId": "016153570198200", "responseCode": "100" }, "reconciliationId": "61873329OAILG3Q6", "status": "PENDING", "submitTimeUtc": "2022-12-02T15:54:18Z"}eftpos Example
{ "clientReferenceInformation": { "code": "eftpos1" }, "orderInformation": { "amountDetails": { "totalAmount": "100.00", "currency": "AUD" } }}{ "_links": { "void": { "method": "POST", "href": "/pts/v2/refunds/7530655864106337303091/voids" }, "self": { "method": "GET", "href": "/pts/v2/refunds/7530655864106337303091" } }, "clientReferenceInformation": { "code": "eftpos1" }, "id": "7530655864106337303091", "orderInformation": { "amountDetails": { "currency": "AUD" } }, "processorInformation": { "systemTraceAuditNumber": "188148", "retrievalReferenceNumber": "188148394602", "settlementDate": "0721", "responseCode": "00" }, "reconciliationId": "7530655864106337303091", "refundAmountDetails": { "currency": "AUD", "refundAmount": "100.00" }, "status": "PENDING", "submitTimeUtc": "2025-07-21T02:39:46Z"}Fiserv RapidConnect Example
{ "clientReferenceInformation": { "code": "123456789012", "reconciliationId": "000000050000769" }, "orderInformation": { "amountDetails": { "totalAmount": "110", "currency": "USD" } }}{ "submitTimeUtc": "2025-03-11T16:38:53Z", "processorInformation": { "approvalCode": "OK9473", "responseCodeSource": "4", "networkTransactionId": "0014239537635196CN", "responseCode": "000" }, "consumerAuthenticationResponse": { "systemTraceAuditNumber": "500033", "merchantNumber": "RCTST1000107085" }, "orderInformation": { "amountDetails": { "authorizedAmount": "110.00" } }, "message": "Successful transaction.", "_links": { "void": { "href": "/pts/v2/refunds/7417111335293232235535/voids", "method": "POST" }, "self": { "method": "GET", "href": "/pts/v2/refunds/7417111335293232235535" } }, "clientReferenceInformation": { "code": "123456789012" }, "issuerInformation": { "responseCode": "123" }, "reconciliationId": "000000050000769", "pointOfSaleInformation": { "terminalId": "00000001" }, "id": "7417111335293232235535", "status": "COMPLETED"}National Payment Gateway Example
{ "clientReferenceInformation": { "code": "SPG_REQ_012" }, "orderInformation": { "amountDetails": { "totalAmount": "10.00", "currency": "SAR" } }}{ "orderInformation": { "amountDetails": { "totalAmount": "10.00", "currency": "SAR" } }, "processorInformation": { "responseCode": "00", "approvalCode": "830SPG", "retrievalReferenceNumber": "334210123456", "settlementDate": "220915" }, "clientReferenceInformation": { "code": "SPG_REQ_012" }, "_links": { "void": { "method": "POST", "href": "/pts/v2/payments/7020304334211234567890/voids" }, "self": { "method": "GET", "href": "/pts/v2/payments/7020304334211234567890/refunds" } }, "reconciliationId": "7020303222541234567890", "status": "COMPLETED", "id": "7020304334211234567890", "submitTimeUtc": "2025-06-06T15:20:39Z"}Required Fields
Default Required Fields
These fields are required when processing a refund.
| Field | Description |
|---|---|
orderInformation.amountDetails.currency | — |
orderInformation.amountDetails.totalAmount | — |
Processor-Specific Required Fields
These fields are required for specific processors.
| Field | Description |
|---|---|
clientReferenceInformation.code | this field is required for the Fiserv RapidConnect and National Payment Gateway processors. |
clientReferenceInformation.reconciliationId | This field is required for the Fiserv RapidConnect processor. |
Thanks for your feedback!
Last published: September 29, 2026